"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.importTunnel = void 0;
const tslib_1 = require("tslib");
const os_1 = tslib_1.__importDefault(require("os"));
const enum_1 = require("@/@types/enum");
const log_1 = require("@/utils/log");
const log = new log_1.Logger('import-tunnel');
const importTunnel = () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const osType = os_1.default.type();
    if (osType === enum_1.OSType.Darwin) {
        return Promise.resolve().then(() => tslib_1.__importStar(require('./import-addon-mac')));
    }
    if (osType === enum_1.OSType.Windows) {
        return Promise.resolve().then(() => tslib_1.__importStar(require('./import-addon-win')));
    }
    if (osType === enum_1.OSType.Linux) {
        log.error('tunnel does not support linux.');
    }
});
exports.importTunnel = importTunnel;
