"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemoryModel = void 0;
const tslib_1 = require("tslib");
const base_model_1 = require("../base-model");
/**
 * 封装数据增删查改，数据统一存储为 redis hashmap 类型
 * 本地开发或单机部署时用此模型，数据保存在内存中
 */
class MemoryModel extends base_model_1.DBModel {
    /**
     * 本地无需做初始化，暂写作空实现
     */
    init() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () { });
    }
    getAll(key) {
        const hashmap = MemoryModel.db.get(key) || new Map();
        return Array.from(hashmap.values());
    }
    upsert(key, field, value) {
        if (!MemoryModel.db.has(key)) {
            MemoryModel.db.set(key, new Map());
        }
        const hashMap = MemoryModel.db.get(key);
        hashMap.set(field, value);
    }
    delete(key, field) {
        const hashMap = MemoryModel.db.get(key);
        hashMap === null || hashMap === void 0 ? void 0 : hashMap.delete(field);
    }
}
exports.MemoryModel = MemoryModel;
MemoryModel.db = new Map();
