"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.traceMiddleWareManager = void 0;
const tslib_1 = require("tslib");
const types_1 = require("tdf-devtools-protocol/dist/types");
const log_1 = require("@/utils/log");
const global_id_1 = require("../global-id");
const trace_adapter_1 = tslib_1.__importDefault(require("./adapter/trace-adapter"));
const log = new log_1.Logger('trace-middleware');
exports.traceMiddleWareManager = {
    downwardMiddleWareListMap: {
        [types_1.IOS100Event.ScriptProfilerTrackingComplete]: ({ msg, sendToDevtools }) => {
            const eventRes = msg;
            log.info(`onPerformanceProfileCompleteEvent, msg = ${eventRes}`);
            const traceAdapter = new trace_adapter_1.default();
            const v8json = traceAdapter.jsc2v8(eventRes.params);
            return sendToDevtools({
                method: types_1.ChromeEvent.TracingDataCollected,
                params: {
                    value: v8json,
                },
            });
        },
    },
    upwardMiddleWareListMap: {
        [types_1.ChromeCommand.TracingStart]: ({ sendToApp }) => sendToApp({
            id: global_id_1.requestId.create(),
            method: types_1.IOS100Command.ScriptProfilerStartTracking,
            params: { includeSamples: true },
        }),
        [types_1.ChromeCommand.TracingEnd]: ({ sendToApp }) => sendToApp({
            id: global_id_1.requestId.create(),
            method: types_1.IOS100Command.ScriptProfilerStopTracking,
            params: {},
        }),
    },
};
