// Copyright 2021 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
const styles = new CSSStyleSheet();
styles.replaceSync(
`/*
 * Copyright (c) 2021 The Chromium Authors. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file.
 */

.text-ellipsis {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

button ~ .text-ellipsis {
  padding-left: 2px;
}

.link,
.devtools-link {
  color: var(--color-link);
  text-decoration: underline;
  cursor: pointer;
  padding: 2px 0; /* adjust focus ring size */
}

button.link {
  border: none;
  background: none;
  font-family: inherit;
  font-size: inherit;
}

.inline-comment {
  padding-left: 1ex;
  white-space: pre-line;
}

.inline-comment::before {
  content: "(";
}

.inline-comment::after {
  content: ")";
}

.inline-name {
  color: var(--color-text-secondary);
  padding-left: 2ex;
  user-select: none;
  white-space: pre-line;
}

.inline-name::after {
  content: ':\u00a0';
}

.inline-items {
  display: flex;
}

.span-cols {
  grid-column-start: span 2;
  margin: 0 0 8px 30px;
  line-height: 28px;
}

.button-icon-with-text {
  vertical-align: sub;
}

.without-min-width {
  min-width: auto;
}

/*# sourceURL=frameDetailsReportView.css */
`);
export default styles;
