// Copyright 2021 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
const styles = new CSSStyleSheet();
styles.replaceSync(
`/*
 * Copyright (c) 2015 The Chromium Authors. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file.
 */

.computed-properties {
  user-select: text;
  flex-shrink: 0;
}

.styles-sidebar-pane-toolbar {
  border-bottom: 1px solid var(--color-details-hairline-light);
  flex-shrink: 0;
}

.styles-sidebar-pane-filter-box {
  flex: auto;
  display: flex;
}

.styles-sidebar-pane-filter-box > input {
  outline: none !important; /* stylelint-disable-line declaration-no-important */
  border: none;
  width: 100%;
  background: var(--color-background);
  padding-left: 4px;
  margin: 3px;
}

.styles-sidebar-pane-filter-box > input:focus,
.styles-sidebar-pane-filter-box > input:not(:placeholder-shown) {
  box-shadow: var(--legacy-focus-ring-active-shadow);
}

.styles-sidebar-pane-filter-box > input::placeholder {
  color: var(--color-text-disabled);
}

@media (forced-colors: active) {
  .styles-sidebar-pane-filter-box > input {
    border: 1px solid ButtonText;
  }
}

/*# sourceURL=computedStyleSidebarPane.css */
`);
export default styles;
