// Copyright 2021 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
const styles = new CSSStyleSheet();
styles.replaceSync(
`/*
 * Copyright (c) 2017 The Chromium Authors. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file.
 */

.alphabetical-list.render-flash {
  min-height: 100vh;
}

.tree-outline,
.tree-outline ol {
  padding-left: 0;
}

.tree-outline li:hover {
  background-color: var(--legacy-focus-bg-color);
  cursor: pointer;
}

.tree-outline li::before {
  margin: 0 -1px 0 4px;
}

.group-title {
  /* tree-outline li::before is set to be 16px wide */
  padding-right: 16px;
}

.tree-outline li.group-title:hover {
  background-color: transparent;
}

.group-title > h1 {
  margin: 1px 0 0 0;
  padding: 1em 0;
  width: 100%;
  cursor: pointer;
  color: var(--color-text-secondary);
  font-size: 11px;
  font-weight: 400;
}

.group-title:not(.first-group) > h1 {
  border-top: 1px solid var(--color-details-hairline);
}

.group-title + ol.children {
  margin-bottom: 1em;
}

@media (forced-colors: active) {
  :host-context(.monospace.computed-properties) .tree-outline li:hover {
    forced-color-adjust: none;
    background-color: Highlight;
  }

  :host-context(.monospace.computed-properties) .tree-outline:not(.hide-selection-when-blurred) li.parent:hover.selected::before,
  :host-context(.monospace.computed-properties) .tree-outline-disclosure li.parent:hover::before {
    background-color: HighlightText;
  }

  :host-context(.monospace.computed-properties) .tree-outline li:hover * {
    color: HighlightText;
  }
}

/*# sourceURL=computedStyleWidgetTree.css */
`);
export default styles;
