// Copyright 2021 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
const styles = new CSSStyleSheet();
styles.replaceSync(
`/*
 * Copyright 2021 The Chromium Authors. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file.
 */

:host {
  display: inline-flex;
}

:host(.hidden) {
  display: none;
}

:host(.clickable) {
  cursor: pointer;
}

slot {
  display: inline-flex;
  box-sizing: border-box;
  height: 14px;
  line-height: 13px;
  padding: 0 6px;
  font-size: 8.5px;
  color: var(--override-adorner-text-color, var(--color-text-primary));
  background-color: var(--override-adorner-background-color, var(--color-background-elevation-1));
  border: 1px solid var(--override-adorner-border-color, var(--color-details-hairline));
  border-radius: 10px;
}

:host(:focus) slot {
  border-color: var(--override-adorner-focus-border-color, var(--color-primary));
}

:host([aria-pressed=true]) slot {
  color: var(--override-adorner-active-text-color, var(--color-background));
  background-color: var(--override-adorner-active-background-color, var(--color-primary));
  border: 1px solid var(--override-adorner-active-background-color, var(--color-primary));
}

::slotted(*) {
  height: 10px;
}

/*# sourceURL=adorner.css */
`);
export default styles;
