// Copyright 2021 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
const styles = new CSSStyleSheet();
styles.replaceSync(
`/*
 * Copyright 2021 The Chromium Authors. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file.
 */

:host {
  flex: auto;
  display: flex;
  min-height: 20px;
}

.view {
  overflow: hidden;
  text-overflow: ellipsis;
  box-sizing: border-box;
  background: var(--color-background);
  outline: none;
}

.row {
  display: flex;
  height: 20px;
  align-items: center;
}

.cell {
  text-align: center;
  border: 1px solid transparent;
  border-radius: 2px;
}

.cell.selected {
  border-color: var(--color-syntax-3);
  color: var(--color-syntax-3);
  background-color: var(--legacy-item-selection-bg-color);
}

.byte-cell {
  min-width: 21px;
  color: var(--color-text-primary);
}

.byte-group-margin {
  margin-left: var(--byte-group-margin);
}

.text-cell {
  min-width: 14px;
  color: var(--color-syntax-3);
}

.address {
  color: var(--color-text-disabled);
}

.address.selected {
  font-weight: bold;
  color: var(--color-text-primary);
}

.divider {
  width: 1px;
  height: inherit;
  background-color: var(--color-details-hairline);
  margin: 0 4px;
}

/*# sourceURL=linearMemoryViewer.css */
`);
export default styles;
